%global pypi_name requests-kerberos

Name:           python-%{pypi_name}
Version:        0.14.0
Release:        %mkrel 2
Summary:        A Kerberos authentication handler for python-requests
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/requests-kerberos/
Source0:        https://github.com/requests/requests-kerberos/archive/refs/tags/requests-kerberos-%{version}.tar.gz
BuildArch:      noarch

%description
Requests is an HTTP library, written in Python, for human beings. This library
adds optional Kerberos/GSSAPI authentication support and supports mutual
authentication.

%package -n python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
Requires:       python3-requests >= 1.1
Requires:       python3-kerberos
# runtime requirements are needed for tests also
BuildRequires:  python3-requests >= 1.1
BuildRequires:  python3-cryptography
BuildRequires:  python3-spnego
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-mock
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Requests is an HTTP library, written in Python, for human beings. This library
adds optional Kerberos/GSSAPI authentication support and supports mutual
authentication.

%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1

%build
%py3_build

%install
%py3_install

%check
py.test-3 tests/

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst AUTHORS HISTORY.rst
%{python3_sitelib}/requests_kerberos
%{python3_sitelib}/requests_kerberos-%{version}-py%{pyver}.egg-info



%changelog
* Sun Mar 20 2022 guillomovitch <guillomovitch> 0.14.0-2.mga9
+ Revision: 1808237
- use github sources, and enable tests

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 0.14.0-1.mga9
+ Revision: 1783082
- version 0.14.0
- removed no longer supported tests
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.12.0-2.mga9
+ Revision: 1733930
- require kerberos instead of pykerberos

* Sun Mar 21 2021 guillomovitch <guillomovitch> 0.12.0-1.mga9
+ Revision: 1707168
- nev version 0.12.0

* Sun Feb 16 2020 umeabot <umeabot> 0.10.0-8.mga8
+ Revision: 1534952
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 daviddavid <daviddavid> 0.10.0-7.mga8
+ Revision: 1450364
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 0.10.0-6.mga7
+ Revision: 1353318
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.10.0-5.mga7
+ Revision: 1289998
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.10.0-4.mga7
+ Revision: 1135609
- Rebuild for python 3.6

* Wed Nov 30 2016 ngompa <ngompa> 0.10.0-3.mga6
+ Revision: 1071099
- imported package python-requests-kerberos


* Tue Nov 29 2016 Neal Gompa <ngompa13@gmail.com> - 0.10.0-3
- Port to Mageia

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Jul 12 2016 Dan Callaghan <dcallagh@redhat.com> - 0.10.0-1
- upstream bug fix release 0.10.0:
  https://github.com/requests/requests-kerberos/blob/v0.10.0/HISTORY.rst#0100-2016-05-18

* Fri Jul 01 2016 Dan Callaghan <dcallagh@redhat.com> - 0.8.0-5
- add Obsoletes for python -> python2 rename

* Fri Jul 01 2016 Dan Callaghan <dcallagh@redhat.com> - 0.8.0-4
- build for Python 2 and 3 (RHBZ#1334415)
- use %%license
- run tests in %%check

* Thu Feb 11 2016 Dan Callaghan <dcallagh@redhat.com> - 0.8.0-3
- really fix requirements for kerberos module (#1305986)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Feb 01 2016 Dan Callaghan <dcallagh@redhat.com> - 0.8.0-1
- upstream release 0.8.0 (#1296743)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 11 2015 Dan Callaghan <dcallagh@redhat.com> - 0.7.0-2
- relaxed version in kerberos module requirement, to work with
  python-kerberos 1.1 (#1215565)

* Tue May 05 2015 Fedora Release Monitoring <release-monitoring@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0 (#1164464)

* Fri Nov 07 2014 Dan Callaghan <dcallagh@redhat.com> - 0.6-1
- fix for mutual authentication handling (RHBZ#1160545, CVE-2014-8650)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 27 2014 Dan Callaghan <dcallagh@redhat.com> - 0.5-1
- upstream bug fix release 0.5

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 03 2013 Dan Callaghan <dcallagh@redhat.com> - 0.3-1
- upstream bug fix release 0.3

* Mon May 27 2013 Dan Callaghan <dcallagh@redhat.com> - 0.2-2
- require requests >= 1.0

* Tue May 14 2013 Dan Callaghan <dcallagh@redhat.com> - 0.2-1
- initial version
